> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settlement Status For Wallet References

> Returns per-wallet-reference settlement status and advances the payroll to APPROVED or COMPLETED when all are done.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/get-settlement-status-for-wallet-references
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-settlement-status-for-wallet-references:
    post:
      operationId: getSettlementStatusForWalletReferences
      summary: Get Settlement Status For Wallet References
      description: >-
        Returns per-wallet-reference settlement status and advances the payroll
        to APPROVED or COMPLETED when all are done.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GetSettlementStatusForWalletReferencesRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetSettlementStatusForWalletReferencesResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSettlementStatusForWalletReferencesRequest:
      type: object
      properties:
        tokenPayrollID:
          type: string
          minLength: 1
          maxLength: 200
        walletReferenceIDs:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
          minItems: 1
          maxItems: 10000
      required:
        - tokenPayrollID
        - walletReferenceIDs
    GetSettlementStatusForWalletReferencesResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/PayrollTokenSecondSettlementStatus'
      description: Request regeneration does not infer response shapes.
    PayrollTokenSecondSettlementStatus:
      type: object
      properties:
        isApproved:
          type: boolean
        isSettled:
          type: boolean
        deductionsPosted:
          type: boolean
        transactionHash:
          type: string
        transactionLink:
          type: string
        dateFulfilled:
          type: string
          format: date-time
        settlementOrderForContributorTokenPayrollID:
          type: string
          format: uuid
      required:
        - isApproved
        - isSettled
        - deductionsPosted
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
